Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Problem: set_magic_quotes_runtime() is deprecated
#1
Hallo, folgendes sagt er bei der Aktualisierung:

Deprecated: Function set_magic_quotes_runtime() is deprecated in /users/dominik94/www/foren/kirmesforum/inc/class_core.php on line 165


Error Type:
MyBB Error (42)
Error Message:
Your board has not yet been upgraded. Please do so before attempting to browse it.


Bitte um hilfe...

in einem andere Thread stand was von ausklammern... das habe ich versucht.. entweder mache ich es falsch, oder es funktioniert nicht...

Bitte helft mir.

Mit freundlichen Grüßen
Dominik
#2
(31.08.2010, 20:21)Breaker001 schrieb: Hallo, folgendes sagt er bei der Aktualisierung:

Deprecated: Function set_magic_quotes_runtime() is deprecated in /users/dominik94/www/foren/kirmesforum/inc/class_core.php on line 165


Error Type:
MyBB Error (42)
Error Message:
Your board has not yet been upgraded. Please do so before attempting to browse it.


Bitte um hilfe...

in einem andere Thread stand was von ausklammern... das habe ich versucht.. entweder mache ich es falsch, oder es funktioniert nicht...

Bitte helft mir.

Mit freundlichen Grüßen
Dominik

Versuchs mal so

Mach nen Backup deines Themes + Datenbank ( wegen Usern Beiträgen etc. )
Lad dir MyBB 1.6 komplett neu runter
Lad es rauf und klammer magic_quote aus

PHP-Code:
// Determine Magic Quotes Status (< PHP 6.0)
                
if(version_compare(PHP_VERSION'6.0''<'))
                {
                        if(
get_magic_quotes_gpc())
                        {
                                
$this->magicquotes 1;
                                
$this->strip_slashes_array($_POST);
                                
$this->strip_slashes_array($_GET);
                                
$this->strip_slashes_array($_COOKIE);
                        }
                        @
set_magic_quotes_runtime(0);
                        @
ini_set("magic_quotes_gpc"0);
                        @
ini_set("magic_quotes_runtime"0);
                } 

Das mit Upgraden verstehe ich nicht so ganz, darum mach ichs lieber so Toungue
#3
Siehe auch: https://www.mybb.de/forum/thread-15237-p...#pid108983

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#4
Ja, ich sagte ja dass ich dass gesehen habe aber entweder mache ich etwas falsch, oder das funktioniert nicht.

Könnte man mir eventuell einer die korrekte Datei schicken? Dann kann ich gucken ob das hilft.

Gruß
Dominik
#5
Also die kleine Änderung solltest du selbst vornehmen könnenn...
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#6
So, alles klar... das ist jetzt definitiv bei mir so... aber er zeigt den Fehler weiterhin an.

Also muss das Problem bei mir leicht anders sein.


Gruß
#7
Welchen der beiden Fehler?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#8
Also ich habe das ausklammern jetzt so gemacht, wie es oben steht.

Gruß
#9
Was hast du gemacht und welche Meldung erscheint?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#10
Immer noch die von mir oben genannte Meldung taucht auf. Ich habe es so ausgeklammert, wie es oben beschrieben war aber eig. war das bei mir auch schon.

Gruß


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Deprecated SaschaMZ 1 974 23.08.2010, 14:56
Letzter Beitrag: StefanT